MetalIconFactory.TreeFolderIcon (Java SE 9 & JDK 9 )
Keywords: javax.swing.plaf.metal.MetalIconFactory.TreeFolderIcon class

Module java.desktop
Package javax.swing.plaf.metal

## Class MetalIconFactory.TreeFolderIcon

- java.lang.Object
- - javax.swing.plaf.metal.MetalIconFactory.FolderIcon16
  - - javax.swing.plaf.metal.MetalIconFactory.TreeFolderIcon

- All Implemented Interfaces:
    `Serializable`, `Icon`
  Enclosing class:
    MetalIconFactory

      public static class MetalIconFactory.TreeFolderIcon
      extends MetalIconFactory.FolderIcon16

  Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans™ has been added to the `java.beans` package. Please see `XMLEncoder`.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TreeFolderIcon​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getAdditionalHeight​()` | Returns an additional height of the icon.
    `int` | `getShift​()` | Returns a shift of the icon.

    - ### Methods inherited from class javax.swing.plaf.metal.MetalIconFactory.FolderIcon16

      `getIconHeight, getIconWidth, paintIcon`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TreeFolderIcon

          public TreeFolderIcon​()

  - ### Method Detail

    - #### getShift

          public int getShift​()

      Description copied from class: `MetalIconFactory.FolderIcon16`
      Returns a shift of the icon.
      Overrides:
        `getShift` in class `MetalIconFactory.FolderIcon16`
      Returns:
        a shift of the icon

    - #### getAdditionalHeight

          public int getAdditionalHeight​()

      Description copied from class: `MetalIconFactory.FolderIcon16`
      Returns an additional height of the icon.
      Overrides:
        `getAdditionalHeight` in class `MetalIconFactory.FolderIcon16`
      Returns:
        an additional height of the icon